%global pkgvers 0
%global scdate0 20240729
%global schash0 75b79284be2e26e4c1b6e45c34a07a181c8ce735
%global branch0 master
%global source0 https://github.com/SimonBlanke/Hyperactive.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-hyperactive
Version:        4.7.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Collection of optimization algorithms
License:        BSD
BuildArch:      noarch

URL:            https://github.com/SimonBlanke/Hyperactive

BuildRequires:  python3-devel python3-setuptools git

%description
An optimization and data collection toolbox for convenient
and fast prototyping of computationally expensive models.


%package -n     python3-hyperactive
Summary:        %{summary}
Provides:       python-hyperactive

%description -n python3-hyperactive
An optimization and data collection toolbox for convenient
and fast prototyping of computationally expensive models.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%py3_build


%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/tests


%files -n python3-hyperactive
%license LICENSE
%doc README.md
%{python3_sitelib}/hyperactive/
%{python3_sitelib}/hyperactive-*.egg-info/


%changelog
* Fri Mar 29 2019 Balint Cristian <cristian.balint@gmail.com>
- github upstream releases
